Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1519586 - jeprof introduces many perl package dependencies
Summary: jeprof introduces many perl package dependencies
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: jemalloc
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ingvar Hagelund
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-01 00:30 UTC by Nathan Scott
Modified: 2018-01-08 13:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-08 13:13:48 UTC


Attachments (Terms of Use)

Description Nathan Scott 2017-12-01 00:30:29 UTC
Packages that use the jemalloc library have indirect dependencies on a number of perl packages that are not in the base modularity platform.  AFAICT, these are due to the inclusion of one perl script (jeprof) in the base jemalloc package.

$ fedmod resolve-deps -m platform jemalloc
perl-Text-Tabs+Wrap
perl-threads-shared
perl-Scalar-List-Utils
perl-interpreter
perl-File-Temp
perl-Exporter
perl-macros
perl-libs
perl-Time-Local
perl-podlators
perl-Pod-Perldoc
perl-Text-ParseWords
perl-HTTP-Tiny
perl-Carp
perl-threads
perl-Encode
perl-Term-Cap
perl-Getopt-Long
perl-MIME-Base64
perl-Unicode-Normalize
perl-Pod-Escapes
perl-Pod-Usage
perl-constant
perl-parent
perl-File-Path
perl-Term-ANSIColor
perl-PathTools
perl-Pod-Simple
perl-IO
jemalloc
perl-Errno
perl-Storable
perl-Socket

Could the jeprof utility be moved to jemalloc-devel perhaps to provide a smaller set of dependencies for packages using jemalloc?

Comment 1 Ingvar Hagelund 2017-12-13 14:07:35 UTC
I'll add this to the next release of jemalloc, that is 5.0.1, ref bz #1392695.

Comment 2 Nathan Scott 2017-12-13 17:29:11 UTC
Great, thanks Ingvar!  Much appreciated.


Note You need to log in before you can comment on or make changes to this bug.